Index: /code/branches/cpp11_v3/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/cpp11_v3/src/libraries/core/GUIManager.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/libraries/core/GUIManager.cc	(revision 11062)
@@ -267,6 +267,6 @@
             ArgumentCompletionList names;
             const std::vector<std::string> guis = GUIManager::getInstance().getLoadedGUIs();
-            for (size_t i = 0; i < guis.size(); ++i)
-                names.push_back(ArgumentCompletionListElement(guis[i], getLowercase(guis[i])));
+            for (const std::string gui : guis)
+                names.push_back(ArgumentCompletionListElement(gui, getLowercase(gui)));
             return names;
         }
Index: /code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc
===================================================================
--- /code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/libraries/core/module/Plugin.cc	(revision 11062)
@@ -79,5 +79,5 @@
     {
         // only load module if it isn't already loaded. otherwise merely activate it.
-        if (this->moduleInstance_ == NULL)
+        if (this->moduleInstance_ == nullptr)
             this->loadModule();
         else
@@ -112,5 +112,5 @@
         Core::getInstance().unloadModule(this->moduleInstance_);
         delete this->moduleInstance_;
-        this->moduleInstance_ = NULL;
+        this->moduleInstance_ = nullptr;
     }
     void Plugin::deactivateModule()
Index: /code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11062)
@@ -112,6 +112,6 @@
                 { this->owner_ = owner; }
         protected:
-            virtual void positionChanged();
-            virtual void sizeChanged();
+            virtual void positionChanged() override;
+            virtual void sizeChanged() override;
         private:
             void positionText();
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             FusionMunition(Context* context);
-            virtual ~FusionMunition() {}
+            virtual ~FusionMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11062)
@@ -27,5 +27,5 @@
         public:
             GravityBombMunition(Context* context);
-            virtual ~GravityBombMunition() {}
+            virtual ~GravityBombMunition() = default;
     };
 
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             IceMunition(Context* context);
-            virtual ~IceMunition() {}
+            virtual ~IceMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             LaserMunition(Context* context);
-            virtual ~LaserMunition() {}
+            virtual ~LaserMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             LightningMunition(Context* context);
-            virtual ~LightningMunition() {}
+            virtual ~LightningMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             MineMunition(Context* context);
-            virtual ~MineMunition() {}
+            virtual ~MineMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             RocketMunition(Context* context);
-            virtual ~RocketMunition() {}
+            virtual ~RocketMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             SplitMunition(Context* context);
-            virtual ~SplitMunition() {}
+            virtual ~SplitMunition() = default;
     };
 }
Index: /code/branches/cpp11_v3/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11062)
@@ -88,6 +88,6 @@
     Dynamicmatch::~Dynamicmatch()
     {
-        for (std::set<Timer*>::iterator it = this->piggyTimers_.begin(); it != this->piggyTimers_.end(); ++it)
-            delete (*it);
+        for (Timer* timer : this->piggyTimers_)
+            delete timer;
     }
 
Index: /code/branches/cpp11_v3/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/overlays/OverlayGroup.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/overlays/OverlayGroup.cc	(revision 11062)
@@ -51,6 +51,6 @@
         {
             ArgumentCompletionList names;
-            for (ObjectList<OverlayGroup>::iterator it = ObjectList<OverlayGroup>().begin(); it; ++it)
-                names.push_back(ArgumentCompletionListElement(it->getName(), getLowercase(it->getName())));
+            for (OverlayGroup* overlayGroup : ObjectList<OverlayGroup>())
+                names.push_back(ArgumentCompletionListElement(overlayGroup->getName(), getLowercase(overlayGroup->getName())));
             return names;
         }
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.cc	(revision 11062)
@@ -52,5 +52,5 @@
         this->reloadTime_ = 0.5f;
 
-        this->lastFilledWeaponMode_ = NULL;
+        this->lastFilledWeaponMode_ = nullptr;
     }
 
@@ -200,5 +200,5 @@
                     magazine->munition_ = 0;
 
-                    if (this->reload(NULL))
+                    if (this->reload(nullptr))
                         // Successfully reloaded, continue recursively
                         return this->takeMunition(amount, 0);
@@ -271,5 +271,5 @@
             if (it->first == lastFilledWeaponMode_)
             {
-                lastFilledWeaponMode_ = NULL;
+                lastFilledWeaponMode_ = nullptr;
             }            
             delete it->second;
@@ -315,5 +315,5 @@
         {
             // Stacking munition means, if a magazine gets full, the munition adds to a new magazine
-            Magazine* magazine = this->getMagazine(NULL);
+            Magazine* magazine = this->getMagazine(nullptr);
             if (magazine)
             {
@@ -347,5 +347,5 @@
             // If the pointer to the weapon mode whose magazine got munition added to is NULL, then set the iterator to the beginning of the map
             // Otherwise set it to the next weapon mode
-            if (lastFilledWeaponMode_ == NULL)
+            if (lastFilledWeaponMode_ == nullptr)
             {
                 it = this->assignedMagazines_.begin();
@@ -441,9 +441,9 @@
         for (unsigned int i = 0; i < addedMagazines; ++i)
         {
-            for (std::map<WeaponMode*, Magazine*>::iterator it = this->assignedMagazines_.begin(); it != this->assignedMagazines_.end(); ++it)
-            {
-                if (needReload(it->first))
-                {
-                    reload(it->first);
+            for (const auto& mapEntry : this->assignedMagazines_)
+            {
+                if (needReload(mapEntry.first))
+                {
+                    reload(mapEntry.first);
                     break;
                 }
@@ -523,5 +523,5 @@
             if (it->first == lastFilledWeaponMode_)
             {
-                lastFilledWeaponMode_ = NULL;
+                lastFilledWeaponMode_ = nullptr;
             }
             delete it->second;
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/Munition.h	(revision 11062)
@@ -39,13 +39,10 @@
 namespace orxonox
 {
-    namespace MunitionDeployment
+    enum class MunitionDeployment
     {
-        enum Value
-        {
-            Separate, // Every comsuming weapon mode has its own magazine. It is possible that one weapon mode is out of ammo while another still has some.
-            Share, // All comsuming weapon modes take their munition from the same magazine. If this magazine is empty a new one is loaded.
-            Stack // There is only one magazine where all the munition is stored. Use this deployment mode for heavy weapons loke rockets, bombs, ...
-        };
-    }
+        Separate, // Every comsuming weapon mode has its own magazine. It is possible that one weapon mode is out of ammo while another still has some.
+        Share, // All comsuming weapon modes take their munition from the same magazine. If this magazine is empty a new one is loaded.
+        Stack // There is only one magazine where all the munition is stored. Use this deployment mode for heavy weapons loke rockets, bombs, ...
+    };
 
     class _OrxonoxExport Munition : public BaseObject
@@ -69,5 +66,5 @@
             virtual ~Munition();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             unsigned int getNumMunition(WeaponMode* user) const;
@@ -80,5 +77,5 @@
             inline unsigned int getMaxMunitionPerMagazine() const
                 { return this->maxMunitionPerMagazine_; }
-            inline MunitionDeployment::Value getMunitionDeployment() const
+            inline MunitionDeployment getMunitionDeployment() const
                 { return deployment_; }
 
@@ -115,5 +112,5 @@
             std::map<WeaponMode*, Magazine*> assignedMagazines_; // Maps weapon modes to magazines that are currently used.
 
-            MunitionDeployment::Value deployment_; // Defines the behaviour how munition and magazines are distributed to the consuming weapon modes.
+            MunitionDeployment deployment_; // Defines the behaviour how munition and magazines are distributed to the consuming weapon modes.
 
             bool bAllowMunitionRefilling_;
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/Weapon.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/Weapon.cc	(revision 11062)
@@ -158,6 +158,6 @@
     void Weapon::updateMunition()
     {
-        for (std::multimap<unsigned int, WeaponMode*>::iterator it = this->weaponmodes_.begin(); it != this->weaponmodes_.end(); ++it)
-            it->second->updateMunition();
+        for (const auto& mapEnty : this->weaponmodes_)
+            mapEnty.second->updateMunition();
     }
 }
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11062)
@@ -159,6 +159,6 @@
     void WeaponPack::updateMunition()
     {
-        for (std::vector<Weapon *>::const_iterator it = this->weapons_.begin(); it != this->weapons_.end(); ++it)
-            (*it)->updateMunition();
+        for (Weapon* weapon : this->weapons_)
+            weapon->updateMunition();
     }
 }
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11062)
@@ -312,5 +312,5 @@
         else
         {
-            return NULL;
+            return nullptr;
         }
     }
@@ -318,5 +318,5 @@
     void WeaponSystem::addMunition(Munition* munition)
     {
-        if (munition == NULL)
+        if (munition == nullptr)
         {
             return;
@@ -338,7 +338,7 @@
     void WeaponSystem::updateMunition()
     {
-        for (std::vector<WeaponPack*>::iterator it = this->weaponPacks_.begin(); it != this->weaponPacks_.end(); ++it)
-        {
-            (*it)->updateMunition();
+        for (WeaponPack* weaponPack : this->weaponPacks_)
+        {
+            weaponPack->updateMunition();
         }
     }
Index: /code/branches/cpp11_v3/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 11062)
@@ -49,5 +49,5 @@
             unsigned int getTeamNumber() const
                 { return this->teamNumber_; }
-            virtual Pawn* spawn();
+            virtual Pawn* spawn() override;
 
         private:
Index: /code/branches/cpp11_v3/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11061)
+++ /code/branches/cpp11_v3/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11062)
@@ -86,5 +86,5 @@
         this->aimPosition_ = Vector3::ZERO;
 
-        //this->explosionPartList_ = NULL;
+        //this->explosionPartList_ = nullptr;
 
         if (GameMode::isMaster())
@@ -523,5 +523,5 @@
     Munition* Pawn::getMunitionXML() const
     {
-        return NULL;
+        return nullptr;
     }
 
@@ -533,5 +533,5 @@
         }
 
-        return NULL;
+        return nullptr;
     }
 