Index: /code/branches/shaders_merge/src/orxonox/RenderQueueListener.cc
===================================================================
--- /code/branches/shaders_merge/src/orxonox/RenderQueueListener.cc	(revision 11074)
+++ /code/branches/shaders_merge/src/orxonox/RenderQueueListener.cc	(revision 11075)
@@ -21,6 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
- *      Reto Grieder (physics)
+ *      David 'davidsa' Salvisberg
  *   Co-authors:
  *      ...
@@ -41,5 +40,5 @@
 namespace orxonox
 {
-    RenderQueueListener::RenderQueueListener() : pixelCount_(0), pixelState_(RenderQueueListener::READY_FOR_RENDER)
+    RenderQueueListener::RenderQueueListener() : pixelCount_(0), pixelState_(PixelState::READY_FOR_RENDER)
     {
         hardwareOcclusionQuery_ = Ogre::Root::getSingleton().getRenderSystem()->createHardwareOcclusionQuery(); //create a new HOQ for the scene this listener is used in
@@ -60,8 +59,8 @@
     unsigned int RenderQueueListener::getPixelCount()
     {
-        if(this->pixelState_==RenderQueueListener::READY_FOR_ACCESS)
+        if(this->pixelState_==PixelState::READY_FOR_ACCESS)
         {
             this->hardwareOcclusionQuery_->pullOcclusionQuery(&(this->pixelCount_));
-            this->pixelState_=RenderQueueListener::READY_FOR_RENDER;
+            this->pixelState_=PixelState::READY_FOR_RENDER;
         }
         return this->pixelCount_;
@@ -94,8 +93,8 @@
                 Ogre::SOP_KEEP,Ogre::SOP_KEEP,Ogre::SOP_REPLACE,false);       
         }
-        if (queueGroupId == RENDER_QUEUE_HOQ && this->pixelState_==RenderQueueListener::READY_FOR_RENDER)
+        if (queueGroupId == RENDER_QUEUE_HOQ && this->pixelState_==PixelState::READY_FOR_RENDER)
         { 
             this->hardwareOcclusionQuery_->beginOcclusionQuery();
-            this->pixelState_=RenderQueueListener::QUERY_STARTED;
+            this->pixelState_=PixelState::QUERY_STARTED;
             //TODO: Skip this rendering step altogheter if we haven't requested the pixel count yet, not sure if this is possible without a custom SceneManager
         }
@@ -116,8 +115,8 @@
             renderSystem->setStencilBufferParams(); 
         }
-        if (queueGroupId == RENDER_QUEUE_HOQ && this->pixelState_==RenderQueueListener::QUERY_STARTED)
+        if (queueGroupId == RENDER_QUEUE_HOQ && this->pixelState_==PixelState::QUERY_STARTED)
         {
             this->hardwareOcclusionQuery_->endOcclusionQuery();
-            this->pixelState_=RenderQueueListener::READY_FOR_ACCESS;
+            this->pixelState_=PixelState::READY_FOR_ACCESS;
         }
     }
Index: /code/branches/shaders_merge/src/orxonox/RenderQueueListener.h
===================================================================
--- /code/branches/shaders_merge/src/orxonox/RenderQueueListener.h	(revision 11074)
+++ /code/branches/shaders_merge/src/orxonox/RenderQueueListener.h	(revision 11075)
@@ -21,6 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
- *      Reto Grieder (physics)
+ *      David 'davidsa' Salvisberg
  *   Co-authors:
  *      ...
@@ -52,7 +51,7 @@
     };
 
-    const int STENCIL_VALUE_FOR_GLOW = 1; //!< this is a reference value for our mask, 
+    constexpr int STENCIL_VALUE_FOR_GLOW = 1; //!< this is a reference value for our mask, 
                                           //!< if more than one type of stencil mask is to be used, each of them need their own value
-    const int STENCIL_FULL_MASK = 0xFFFFFFFF; //!< this is a reference mask used in our stencil buffer
+    constexpr int STENCIL_FULL_MASK = 0xFFFFFFFF; //!< this is a reference mask used in our stencil buffer
     
     /**
@@ -85,5 +84,5 @@
                 In this case we use it to set the stencil buffer parameters of the render system
             */
-            virtual void renderQueueStarted(Ogre::uint8 queueGroupId, const Ogre::String& invocation, bool& skipThisInvocation);
+            virtual void renderQueueStarted(Ogre::uint8 queueGroupId, const Ogre::String& invocation, bool& skipThisInvocation) override;
             /**
             @brief
@@ -92,5 +91,5 @@
                 in this case we use it to unset the stencil buffer parameters, so the rest of the render queue is unaffected by it.
             */
-            virtual void renderQueueEnded(Ogre::uint8 queueGroupId, const Ogre::String& invocation, bool& repeatThisInvocation);
+            virtual void renderQueueEnded(Ogre::uint8 queueGroupId, const Ogre::String& invocation, bool& repeatThisInvocation) override;
             
         private:
@@ -98,5 +97,5 @@
             unsigned int pixelCount_; //!< this stores the last pixel count returned by the last HOQ in the corresponding render group
             
-            enum PixelState //!< enum to distinguish the several HOQ pixel count states
+            enum class PixelState //!< enum to distinguish the several HOQ pixel count states
             {
                 READY_FOR_RENDER,
Index: /code/branches/shaders_merge/src/orxonox/graphics/Billboard.cc
===================================================================
--- /code/branches/shaders_merge/src/orxonox/graphics/Billboard.cc	(revision 11074)
+++ /code/branches/shaders_merge/src/orxonox/graphics/Billboard.cc	(revision 11075)
@@ -175,5 +175,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setRenderQueueGroup(groupID);
@@ -184,5 +184,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setBounds(Ogre::AxisAlignedBox(Ogre::AxisAlignedBox::EXTENT_INFINITE),0);
Index: /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.cc
===================================================================
--- /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.cc	(revision 11074)
+++ /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.cc	(revision 11075)
@@ -21,6 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
- *      Reto Grieder (physics)
+ *      David 'davidsa' Salvisberg
  *   Co-authors:
  *      ...
Index: /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.h
===================================================================
--- /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.h	(revision 11074)
+++ /code/branches/shaders_merge/src/orxonox/graphics/LensFlare.h	(revision 11075)
@@ -21,6 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
- *      Reto Grieder (physics)
+ *      David 'davidsa' Salvisberg
  *   Co-authors:
  *      ...
@@ -164,9 +163,9 @@
                 { return this->fadeOnViewBorder_; }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
         private: