Index: code/trunk/src/modules/docking/DockingAnimation.h
===================================================================
--- code/trunk/src/modules/docking/DockingAnimation.h	(revision 11083)
+++ code/trunk/src/modules/docking/DockingAnimation.h	(revision 11099)
@@ -53,5 +53,5 @@
     /**
     @brief
-        Base class for docking animations used by @ref orxonox::Docking "Docks".
+        Base class for docking animations used by @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/DockingEffect.h
===================================================================
--- code/trunk/src/modules/docking/DockingEffect.h	(revision 11083)
+++ code/trunk/src/modules/docking/DockingEffect.h	(revision 11099)
@@ -51,5 +51,5 @@
     /**
     @brief
-        Handles DockingEffects for @ref orxonox::Docking "Docks".
+        Handles DockingEffects for @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/DockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.h	(revision 11083)
+++ code/trunk/src/modules/docking/DockingTarget.h	(revision 11099)
@@ -45,5 +45,5 @@
     /**
     @brief
-        DockingTargets for @ref orxonox::Docking "Docks".
+        DockingTargets for @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/docking/MoveToDockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11083)
+++ code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11099)
@@ -46,5 +46,5 @@
     /**
     @brief
-        Base class for docking animations used by @ref orxonox::Docking "Docks".
+        Base class for docking animations used by @ref orxonox::Dock "Docks".
 
     @author
Index: code/trunk/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11083)
+++ code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11099)
@@ -24,15 +24,4 @@
  */
 
-/**
- * Conventions:
- * -first Checkpoint has index 0
- * -staticCheckPoint= static Point (see def over = constructor)
- */
-
-/*TODO:
- * tICK KORRIGIEREN
- *
- *
- */
 #include <gametypes/SpaceRaceController.h>
 #include "core/CoreIncludes.h"
Index: code/trunk/src/modules/gametypes/SpaceRaceController.h
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceController.h	(revision 11083)
+++ code/trunk/src/modules/gametypes/SpaceRaceController.h	(revision 11099)
@@ -36,4 +36,11 @@
 namespace orxonox
 {
+    /**
+     * Conventions:
+     * -first Checkpoint has index 0
+     * -staticCheckPoint= static Point (see def over = constructor)
+     *@todo:
+     *  tICK KORRIGIEREN
+     */
     class _GametypesExport SpaceRaceController: public ArtificialController,
             public Tickable
Index: code/trunk/src/modules/hover/HoverFlag.cc
===================================================================
--- code/trunk/src/modules/hover/HoverFlag.cc	(revision 11083)
+++ code/trunk/src/modules/hover/HoverFlag.cc	(revision 11099)
@@ -80,4 +80,6 @@
     @param yCoordinate
         Y-Coordinate of the flage, 0-9, origin is bottom left
+    @param cellSize
+        The size of the cells
     */
     void HoverFlag::init(int xCoordinate, int yCoordinate, int cellSize)
Index: code/trunk/src/modules/hover/HoverOrigin.h
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.h	(revision 11083)
+++ code/trunk/src/modules/hover/HoverOrigin.h	(revision 11099)
@@ -41,65 +41,5 @@
         The HoverOrigin implements the playing field @ref orxonox::Hover "Hover" takes place in and allows for many parameters of the minigame to be set.
         The playing field resides in the x,z-plane, with the x-axis being the horizontal axis and the z-axis being the vertical axis.
-        
-        Various parameters can be set:
-        - The <b>dimension</b> is a vector, that defines the width and height of the playing field. The default is <em>(200, 120)</em>.
-        - The <b>balltemplate</b> is a template that is applied to the @ref orxonox::HoverPlatform "HoverPlatform", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>battemplate</b> is a template that is applied to the @ref orxonox::HoverPlatform "HoverFigure", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>ballspeed</b> is the speed with which the @ref orxonox::HoverPlatform "HoverPlatform" moves. The default is <em>100</em>.
-        - The <b>ballaccfactor</b> is the acceleration factor for the @ref orxonox::HoverPlatform "HoverPlatform". The default is <em>1.0</em>.
-        - The <b>batspeed</b> is the speed with which the @ref orxonox::HoverFigure "HoverFigures" move. The default is <em>60</em>.
-        - The <b>batlength</b> is the length of the @ref orxonox::HoverFigure "HoverFigures" as the percentage of the height of the playing field. The default is <em>0.25</em>.
-        
-        An example in XML of the HoverOrigin would be:
-        
-        First the needed templates:
-        The template for the @ref orxonox::HoverPlatform "HoverPlatform".
-        @code
-        <Template name="Hoverball">
-          <HoverPlatform>
-            <attached>
-              <Model mesh="sphere.mesh" scale="2" />
-              <ParticleSpawner name="hiteffect" position="0,0,0" source="Orxonox/sparks2" lifetime="0.01" autostart="0" mainstate="spawn" />
-            </attached>
-            <eventlisteners>
-              <EventTarget target="hiteffect" />
-            </eventlisteners>
-          </HoverPlatform>
-        </Template>
-        @endcode
-        As can be seen, a sphere is attached as the @ref orxonox::Model "Model" for the @ref orxonox::HoverPlatform "HoverPlatform", and also an @ref orxonox::EventListener "EventListener" that triggers a @ref orxonox::ParticleSpawner "ParticleSpawner", whenever the ball hits the boundaries is attached.
-        
-        Additionally the template for the @ref orxonox::HoverFigure "HoverFigure".
-        @code
-        <Template name="Hoverbatcameras" defaults="0">
-          <HoverFigure>
-            <camerapositions>
-              <CameraPosition position="0,200,0" pitch="-90" absolute="true" />
-            </camerapositions>
-          </HoverFigure>
-        </Template>
-
-        <Template name="Hoverbat">
-          <HoverFigure camerapositiontemplate=Hoverbatcameras>
-            <attached>
-              <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
-            </attached>
-          </HoverFigure>
-        </Template>
-        @endcode
-        As can be seen, there are actually two templates. The first template is needed to set the camera for the @ref orxonox::HoverFigure "HoverFigure". The second template ist the actual template for the @ref orxonox::HoverFigure "HoverFigure", the template for the camera position is added and a @ref orxonox::Model "Model" for the @ref orxonox::HoverFigure "HoverFigure" is attached.
-        propellerTemplate_
-        Finally the HoverOrigin is created.
-        @code
-        <HoverOrigin name="Hovercenter" dimension="200,120" balltemplate="Hoverball" battemplate="Hoverbat" ballspeed="200" ballaccfactor="1.0" batspeed="130" batlength="0.25">
-          <attached>
-            <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
-            <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
-          </attached>
-        </HoverOrigin>
-        @endcode
-        All parameters are specified. And also two @ref orxonox::Model "Models" (for the upper and lower boundary) are attached.
-        
-        For a more elaborate example, have a look at the <code>Hover.oxw</code> level file.
+        For an example, have a look at the <code>Hover.oxw</code> level file.
 
     */
Index: code/trunk/src/modules/hover/HoverWall.cc
===================================================================
--- code/trunk/src/modules/hover/HoverWall.cc	(revision 11083)
+++ code/trunk/src/modules/hover/HoverWall.cc	(revision 11099)
@@ -76,4 +76,8 @@
     @param y
         y-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
+    @param cellSize
+        The size of a cell
+    @param cellHeight
+        The height of a cell
     @param orientation
             Wall on the right side (1) or on top (2) of this square, 0-1        
Index: code/trunk/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/trunk/src/modules/jump/JumpEnemy.cc	(revision 11083)
+++ code/trunk/src/modules/jump/JumpEnemy.cc	(revision 11099)
@@ -139,10 +139,4 @@
     }
 
-    /**
-    @brief
-        Set the bats for the ball.
-    @param bats
-        An array (of size 2) of weak pointers, to be set as the new bats.
-    */
     void JumpEnemy::setFigure(JumpFigure* newFigure)
     {
Index: code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11083)
+++ code/trunk/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 11099)
@@ -72,6 +72,6 @@
 
     /**
-        @brief checks if the move is valid
-        @param the position where to put the stone plus the player who makes the move
+        @brief Checks if the move is valid
+        @param move The position where to put the stone
     */
     bool Mini4DgameBoard::isValidMove(const Mini4DgamePosition& move)
@@ -98,5 +98,5 @@
     /**
     @brief makes a move on the logic playboard
-    @param the position where to put the stone plus the player who makes the move
+    @param move The position where to put the stone
     */
     void Mini4DgameBoard::makeMove(const Mini4DgamePosition& move)
Index: code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 11083)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 11099)
@@ -103,5 +103,5 @@
             /**
             @brief Set the NotificationDispatcher to broadcast.
-            @param broadcast Whether the NotificationDispatcher is set to broadcast or singlecast.
+            @param v Whether the NotificationDispatcher is set to broadcast or singlecast.
             */
             void setBroadcasting(bool v)
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 11083)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 11099)
@@ -49,6 +49,4 @@
     @brief
         Default constructor. Registers and initializes the object.
-    @param creator
-        The creator of the NotificationQueue.
     */
     NotificationQueue::NotificationQueue(Context* context) : BaseObject(context), Synchronisable(context), registered_(false)
@@ -65,21 +63,4 @@
         this->registerVariables();
     }
-
-    // TODO move to docu.
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the NotificationQueue
-    @param name
-        The name of the new NotificationQueue. It needs to be unique
-    @param senders
-        The senders that are targets of this NotificationQueue, i.e. the names of senders whose Notifications this NotificationQueue displays.
-        The senders need to be seperated by commas.
-    @param size
-        The size (the maximum number of displayed Notifications) of this NotificationQueue.
-    @param displayTime
-        The time during which a Notification is (at most) displayed.
-    */
 
     /**
Index: code/trunk/src/modules/objects/Script.cc
===================================================================
--- code/trunk/src/modules/objects/Script.cc	(revision 11083)
+++ code/trunk/src/modules/objects/Script.cc	(revision 11099)
@@ -58,6 +58,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of this object.
     */
     Script::Script(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/objects/Turret.h
===================================================================
--- code/trunk/src/modules/objects/Turret.h	(revision 11083)
+++ code/trunk/src/modules/objects/Turret.h	(revision 11099)
@@ -28,4 +28,5 @@
 
 /**
+    @file Turret.h
     @brief Definition of the Turret class.
     @ingroup Objects
Index: code/trunk/src/modules/objects/controllers/TurretController.h
===================================================================
--- code/trunk/src/modules/objects/controllers/TurretController.h	(revision 11083)
+++ code/trunk/src/modules/objects/controllers/TurretController.h	(revision 11099)
@@ -26,8 +26,4 @@
  *
  */
-
-/**
-    @brief Definition for the controller for turrets.
-*/
 
 #ifndef _TurretController_H__
Index: code/trunk/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 11099)
@@ -54,6 +54,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of this trigger.
     */
     DistanceTrigger::DistanceTrigger(Context* context) : Trigger(context)
Index: code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 11099)
@@ -45,6 +45,4 @@
     @brief
         Constructor. Registers the object.
-    @param creator
-        The creator of this object.
     */
     DistanceTriggerBeacon::DistanceTriggerBeacon(Context* context) : StaticEntity(context)
Index: code/trunk/src/modules/objects/triggers/EventTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/EventTrigger.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/EventTrigger.cc	(revision 11099)
@@ -45,6 +45,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the EventTrigger.
     */
     EventTrigger::EventTrigger(Context* context) : Trigger(context)
Index: code/trunk/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 11099)
@@ -48,6 +48,4 @@
     @brief
         Constructor. Registers the objects and initializes default values.
-    @param creator
-        The creator.
     */
     MultiTrigger::MultiTrigger(Context* context) : TriggerBase(context)
Index: code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 11099)
@@ -47,6 +47,4 @@
     @brief
         Default constructor. Registers the object and creates an empty container.
-    @param creator
-        The creator.
     */
     MultiTriggerContainer::MultiTriggerContainer(Context* context) : BaseObject(context), originator_(nullptr), data_(nullptr)
@@ -58,6 +56,6 @@
     @brief
         Constructor. Registers the object and sets the input values.
-    @param creator
-        The creator.
+    @param context
+        The context.
     @param originator
         A pointer to the originator of the Event, i.e. the MultiTrigger that fired the Event. (or is about to fire)
Index: code/trunk/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 11083)
+++ code/trunk/src/modules/objects/triggers/Trigger.cc	(revision 11099)
@@ -51,6 +51,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The creator of the Trigger.
     */
     Trigger::Trigger(Context* context) : TriggerBase(context)
Index: code/trunk/src/modules/pickup/Pickup.cc
===================================================================
--- code/trunk/src/modules/pickup/Pickup.cc	(revision 11083)
+++ code/trunk/src/modules/pickup/Pickup.cc	(revision 11099)
@@ -53,6 +53,4 @@
     @brief
         Constructor. Registers and initializes the object.
-    @param creator
-        The objects creator.
     */
     Pickup::Pickup(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupCollection.cc	(revision 11083)
+++ code/trunk/src/modules/pickup/PickupCollection.cc	(revision 11099)
@@ -50,6 +50,4 @@
     @brief
         Default Constructor.
-    @param creator
-        The creator of the object.
     */
     PickupCollection::PickupCollection(Context* context) : BaseObject(context)
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 11083)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 11099)
@@ -335,4 +335,6 @@
     @param representationObjectId
         The objectId identifying (over the network) the PickupRepresentation that represents this Pickupable.
+    @param representationName
+        The name of the associated PickupRepresentation
     @param pickedUp
         The pickedUp status the Pickupable changed to.
Index: code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 11083)
+++ code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 11099)
@@ -52,6 +52,4 @@
     @brief
         Constructor. Creates a blank PickupSpawner.
-    @param creator
-        Pointer to the object which created this item.
     */
     PickupSpawner::PickupSpawner(Context* context) : StaticEntity(context), pickup_(nullptr), representation_(nullptr), pickupTemplate_(nullptr)
@@ -90,6 +88,6 @@
     @brief
         Factory method, Creates a fully functional PickupSpawner.
-    @param creator
-        The creator of this PickupSpawner.
+    @param context
+        The context of this PickupSpawner.
     @param pickup
         The Pickupable to be spawned by this PickupSpawner.
Index: code/trunk/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/DamageBoostPickup.h	(revision 11083)
+++ code/trunk/src/modules/pickup/items/DamageBoostPickup.h	(revision 11099)
@@ -68,6 +68,5 @@
 
             /**
-             @brief set Damage multiplier
-             @param multiplier The default damage multiplier to set
+             @brief Get Damage multiplier
              */
             inline float getDamageMultiplier()
Index: code/trunk/src/modules/tetris/TetrisCenterpoint.h
===================================================================
--- code/trunk/src/modules/tetris/TetrisCenterpoint.h	(revision 11083)
+++ code/trunk/src/modules/tetris/TetrisCenterpoint.h	(revision 11099)
@@ -105,5 +105,5 @@
             /**
             @brief Set the template for the stones.
-            @param template The template name to be applied to each stone.
+            @param templateName The template name to be applied to each stone.
             */
             void setStoneTemplate(const std::string& templateName)
@@ -118,5 +118,5 @@
             /**
             @brief Set the template for the bricks.
-            @param template The template name to be applied to each brick.
+            @param templateName The template name to be applied to each brick.
             */
             void setBrickTemplate(const std::string& templateName)
Index: code/trunk/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefense.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefense.h	(revision 11099)
@@ -27,11 +27,4 @@
  */
 
- /**
-    @brief
-        GameType class for TowerDefense. See TowerDefenseReadme.txt for Information.
-
-    @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefense_H__
@@ -47,4 +40,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    GameType class for TowerDefense. See TowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefense : public TeamDeathmatch
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 11099)
@@ -27,10 +27,4 @@
  */
 
-/**
- @brief
- See TowerDefenseReadme.txt for Information.
- @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefenseCenterpoint_H__
@@ -46,4 +40,9 @@
 namespace orxonox
 {
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseCenterpoint : public MobileEntity
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11099)
@@ -5,10 +5,4 @@
 //  Created by Jonas Erb on 22.10.14.
 
-/**
-@brief
-See TowerDefenseReadme.txt for Information.
-
-@ingroup TowerDefense
-*/
 #include "TowerDefenseEnemy.h"
 #include "core/CoreIncludes.h"
Index: code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11099)
@@ -5,10 +5,5 @@
 //  Created by Jonas Erb on 22.10.14.
 
-/**
-@brief
-See TowerDefenseReadme.txt for Information.
 
-@ingroup TowerDefense
-*/
 
 
@@ -26,7 +21,10 @@
 namespace orxonox
 {
-/* Class to give the TowerDefenseEnemy spaceships waypoints and
- *
- */
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseEnemy : public SpaceShip
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseField.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseField.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseField.h	(revision 11099)
@@ -27,9 +27,4 @@
  */
 
-/**
- @brief
- See TowerDefenseReadme.txt for Information.
- @ingroup TowerDefense
- */
 
 
@@ -56,5 +51,9 @@
     };
 
-
+    /**
+    @brief
+    See TowerDefenseReadme.txt for Information.
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseField : public MovableEntity
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 11099)
@@ -27,11 +27,4 @@
  */
 
- /**
-    @brief
-        This subclass of OverlayText is used to display the stats of the player in the HUD
-
-    @ingroup TowerDefense
- */
-
 
 #ifndef _TowerDefenseHUDController_H__
@@ -46,4 +39,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    This subclass of OverlayText is used to display the stats of the player in the HUD
+
+    @ingroup TowerDefense
+    */
     class _TowerDefenseExport TowerDefenseHUDController : public OverlayText, public Tickable
     {
Index: code/trunk/src/modules/towerdefense/TowerDefenseTower.h
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefenseTower.h	(revision 11083)
+++ code/trunk/src/modules/towerdefense/TowerDefenseTower.h	(revision 11099)
@@ -6,11 +6,4 @@
 //  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
 //
-
-/**
-@brief
-See TowerDefenseTowerDefenseReadme.txt for Information.
-
-@ingroup TowerDefenseTowerDefense
-*/
 
 
@@ -24,4 +17,10 @@
 namespace orxonox
 {
+    /**
+    @brief
+    See TowerDefenseTowerDefenseReadme.txt for Information.
+
+    @ingroup TowerDefenseTowerDefense
+    */
     class _TowerDefenseExport TowerDefenseTower : public Turret
     {
Index: code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 11083)
+++ code/trunk/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 11099)
@@ -74,4 +74,6 @@
     @param contactPoint
         A btManifoldPoint indicating the point of contact/impact.
+    @param cs
+        The btCollisionShape of the other object
     @return
         Returns true if the collision resulted in a successful hit.
Index: code/trunk/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- code/trunk/src/modules/weapons/projectiles/BasicProjectile.h	(revision 11083)
+++ code/trunk/src/modules/weapons/projectiles/BasicProjectile.h	(revision 11099)
@@ -97,6 +97,4 @@
             /**
             @brief Get the shield-damage done by this projectile.
-                   Shield-damage only reduces shield health.
-            @param shielddamage The amount of damage. Is non-negative.
             */
             inline float getShieldDamage() const
Index: code/trunk/src/modules/weapons/projectiles/GravityBombField.h
===================================================================
--- code/trunk/src/modules/weapons/projectiles/GravityBombField.h	(revision 11083)
+++ code/trunk/src/modules/weapons/projectiles/GravityBombField.h	(revision 11099)
@@ -50,5 +50,5 @@
      * @date    23.05.2015
      *
-     * @param [in,out]  the Pawn that created the field.
+     * @param [in,out] shooter the Pawn that created the field.
      */
     void setShooter(Pawn* shooter)
Index: code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc	(revision 11083)
+++ code/trunk/src/modules/weapons/projectiles/SplitGunProjectile.cc	(revision 11099)
@@ -80,5 +80,6 @@
     /**
     @brief
-        This function starts a timer that will cause the projectile to split after a time defined by the argument @param splitTime.        
+        This function starts a timer that will cause the projectile to split after a time defined by the argument @p splitTime.
+    @param splitTime The time
     */
     void SplitGunProjectile::setSplitTime(float splitTime)
Index: code/trunk/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 11083)
+++ code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 11099)
@@ -76,5 +76,5 @@
             /**
             @brief Set the sound.
-            @param mesh The Sound name.
+            @param sound The Sound name.
             */
             void setSound(const std::string& sound)