Index: code/branches/tgidronFS16/data/levels/Hover.oxw
===================================================================
--- code/branches/tgidronFS16/data/levels/Hover.oxw	(revision 11171)
+++ code/branches/tgidronFS16/data/levels/Hover.oxw	(revision 11177)
@@ -24,4 +24,59 @@
 MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
 ?>
+<!--
+<Template name=mediumdamagehoverpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1 >
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.70,0.10,0.10" material="Damage" scale=0.5 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=damagehover baseclass=DamageBoostPickup>
+  <DamageBoostPickup
+    representation = "mediumdamagehoverpickup"
+    duration = 10.0
+    damageMultiplier = 5.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template> -->
+
+<Template name=hugespeedpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugespeedpickup baseclass=SpeedPickup>
+  <SpeedPickup
+    representation = "hugespeedpickup"
+    duration = 10.0
+    speedAdd = 0.0
+    SpeedMultiply = 50.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+
 
 <Template name=destroyhoverpickupRepresentation>
@@ -45,4 +100,16 @@
 </Template>
 
+<Template name=obstacle baseclass=Pawn>
+    <Pawn team=1 health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box RVName = "Box 4" >
+        <attached>
+            <Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+        </collisionShapes>
+    </Pawn>
+</Template>
+
+
 <Level
 plugins = hover
@@ -72,4 +139,20 @@
     />
 
+    <PickupRepresentation
+      name = "hugespeedpickup"
+      pickupName = "Huge Speed Boost"
+      pickupDescription = "Multiplies Speed of the Ship by a huge amount."
+      spawnerTemplate = "hugespeedpickupRepresentation"
+      inventoryRepresentation = "HugeSpeed"
+    />
+<!--
+    <PickupRepresentation
+      name = "damagehover"
+      pickupName = "Medium Damage Hover Pickup"
+      pickupDescription = "Multiplies the ship damage with 5."
+      spawnerTemplate = "mediumdamagehoverpickupRepresentation"
+      inventoryRepresentation = "MediumDamageHover"
+    /> -->
+
     <StaticEntity position="0,0,0" collisionType="static">
       <attached>
@@ -78,6 +161,9 @@
           cellSize="<?lua print(MAZE_CELL_SIZE)?>"
           cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
+          obstacletemplate=obstacle
           pickuptemplate=destroyhoverpickup
           pickuprepresentationtemplate=destroyhoverpickupRepresentation
+          pickuptemplatedam=hugespeedpickup
+          pickuprepresentationtemplatedam=hugespeedpickupRepresentation
         />
         <Model
Index: code/branches/tgidronFS16/data/levels/includes/weaponSettingsHover.oxi
===================================================================
--- code/branches/tgidronFS16/data/levels/includes/weaponSettingsHover.oxi	(revision 11171)
+++ code/branches/tgidronFS16/data/levels/includes/weaponSettingsHover.oxi	(revision 11177)
@@ -17,5 +17,5 @@
     </Weapon>
     <Weapon>
-      <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" muzzleoffset=" 0.8, 1, -18.0" projectileMesh="LaserBeam2.mesh" />
+      <EnergyDrink mode=0 munitionpershot=0 delay=0 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.8, 1, -18.0" projectileMesh="LaserBeam2.mesh" />
     </Weapon>
   </WeaponPack>
Index: code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt	(revision 11171)
+++ code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt	(revision 11177)
@@ -79,5 +79,5 @@
    boostfactor    = 2
 
-   speedfront     = 120
+   speedfront     = 150
    speedback      =  40
    speedleftright =  40
Index: code/branches/tgidronFS16/data/overlays/HoverHUD.oxo
===================================================================
--- code/branches/tgidronFS16/data/overlays/HoverHUD.oxo	(revision 11171)
+++ code/branches/tgidronFS16/data/overlays/HoverHUD.oxo	(revision 11177)
@@ -76,5 +76,15 @@
     />
 
-    <FlagsAndLivesHUD
+    <OverlayText
+     position  = "0.02, 0.16"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Level: "
+    />
+
+    <TFlagsLivesLevelHUD
      position  = "0.14, 0.02"
      pickpoint = "0.0, 0.0"
@@ -83,8 +93,11 @@
      colour    = "1.0, 1.0, 1.0, 1.0"
      align     = "left"
+     showFlags = true
      showLives = false
+     showLevel = false
+
      />
 
-     <FlagsAndLivesHUD
+     <TFlagsLivesLevelHUD
      position  = "0.14, 0.04"
      pickpoint = "0.0, 0.0"
@@ -93,7 +106,23 @@
      colour    = "1.0, 1.0, 1.0, 1.0"
      align     = "left"
+     showFlags = false
      showLives = true
+     showLevel = false
 
      />
+
+     <TFlagsLivesLevelHUD
+     position  = "0.14, 0.06"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     showFlags = false
+     showLives = false
+     showLevel = true
+
+     />
+
 
   </OverlayGroup>